Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Class Manifest

    java.lang.Object
      rice.p2p.glacier.v2.Manifest

All Implemented Interfaces:
  java.io.Serializable

    public class Manifest

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected long` | `expirationDate`
`protected byte[][]` | `fragmentHash`
`protected byte[]` | `objectHash`
`protected byte[]` | `signature`

Constructor Summary
`Manifest(byte[] objectHash, byte[][] fragmentHash, long expirationDate)`
`Manifest(InputBuffer buf)`

Method Summary
`long` | `getExpiration()`
`byte[]` | `getFragmentHash(int fragmentID)`
`byte[][]` | `getFragmentHashes()`
`byte[]` | `getObjectHash()`
`byte[]` | `getSignature()`
`void` | `serialize(OutputBuffer buf)`
`void` | `setSignature(byte[] signature)`
`java.lang.String` | `toString()`
`java.lang.String` | `toStringFull()`
`void` | `update(long newExpirationDate, byte[] newSignature)`
`boolean` | `validatesFragment(Fragment fragment, int fragmentID, Logger logger)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### objectHash

    protected transient byte[] objectHash

### fragmentHash

    protected transient byte[][] fragmentHash

### signature

    protected transient byte[] signature

### expirationDate

    protected long expirationDate

Constructor Detail

### Manifest

    public Manifest(byte[] objectHash,
                    byte[][] fragmentHash,
                    long expirationDate)

### Manifest

    public Manifest(InputBuffer buf)
             throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getObjectHash

    public byte[] getObjectHash()

### getFragmentHash

    public byte[] getFragmentHash(int fragmentID)

### getFragmentHashes

    public byte[][] getFragmentHashes()

### getSignature

    public byte[] getSignature()

### setSignature

    public void setSignature(byte[] signature)

### getExpiration

    public long getExpiration()

### update

    public void update(long newExpirationDate,
                       byte[] newSignature)

### validatesFragment

    public boolean validatesFragment(Fragment fragment,
                                     int fragmentID,
                                     Logger logger)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toStringFull

    public java.lang.String toStringFull()

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.